{% extends 'public/_public.layout.html.twig' %}

{% block title %}Inscription{% endblock %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('signup') }}
{% endblock %}

{% block content %}
  <main class="fr-pt-md-14v" role="main" id="content">
    <div class="fr-container fr-container--fluid fr-mb-md-14v">
      <div class="fr-grid-row fr-grid-row-gutters fr-grid-row--center">
        <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
          <h2>Création de compte</h2>

          <p>Agents en intervention est une solution numérique de l'agence nationale de la cohésion des
            territoires facilitant la coordination des interventions techniques sur le terrain.</p>
          <div class="fr-container fr-background-default--grey fr-px-md-0 fr-py-10v fr-py-md-14v">
            <div class="fr-grid-row fr-grid-row-gutters fr-grid-row--center">
              <div class="fr-col-12 fr-col-md-9 fr-col-lg-8">

                {% if error %}
                  <div class="fr-alert fr-alert--error">
                    <h3 class="fr-alert__title">Erreur survenue lors de la connexion</h3>
                    <p>{{ error.messageKey|trans(error.messageData, 'security') }}</p>
                  </div>
                {% endif %}

                <h4>Se connecter avec un compte ProConnect</h4>

                <p class="fr-text--sm fr-mb-3w">
                  Pour accéder à la plateforme, vous devez vous identifier via
                  ProConnect à l’aide du bouton ci-dessous.<br />
                  L’inscription ProConnect ne prend que quelques minutes.
                </p>

                <div class="fr-connect-group fr-mb-6v">
                  <a href="{{ path('app_security_pro_connect_start') }}" class="fr-connect">
                    <span class="fr-connect__login">S’identifier avec</span>
                    <span class="fr-connect__brand">ProConnect</span>
                  </a>
                  <p>
                    <a
                      href="https://www.proconnect.gouv.fr"
                      target="_blank"
                      rel="noopener"
                      title="Qu’est-ce que ProConnect - nouvelle fenêtre"
                    >Qu’est-ce que ProConnect ?</a
                    >
                  </p>
                </div>

                <div class="separator">ou</div>

                <div class="fr-stepper"><h3 class="fr-stepper__title"> Renseigner les paramètres de votre collectivité
                    <span
                      class="fr-stepper__state">Étape 1 sur 3</span></h3>
                  <div class="fr-stepper__steps" data-fr-current-step="1" data-fr-steps="3"></div>
                  <p class="fr-stepper__details"><span class="fr-text--bold">Étape suivante :</span> Coordonnées de
                    l'administrateur </p>
                </div>

                <hr />

                {{ form_start(form, {
                  'attr': stimulus_controller('siret-search').toArray()
                }) }}

                {{ form_errors(form) }}

                <label class="fr-label fr-label-with-hint" for="{{ form.siren.vars.id }}">
                  {{ form.siret.vars.label }}
                  <span class="fr-hint-text">Pour retrouver le SIRET (14 chiffres) de votre collectivité, rendez-vous sur <a
                      rel="noopener" target="_blank" href="https://annuaire-entreprises.data.gouv.fr/">l’Annuaire des Entreprises</a>.</span>
                </label>

                {{ form_widget(form.siret, {
                  'attr': {
                    'data-action': 'paste->siret-search#sanitizePaste input->siret-search#search',
                  },
                }) }}

                {{ form_errors(form.siret) }}

                <div id="search-results" {{ stimulus_target('siret-search', 'results') }}></div>

                <div class="fr-btns-group fr-btns-group--inline fr-btns-group--right fr-btns-group--inline-reverse">
                  {{ form_widget(form.submit, {
                    'attr': stimulus_target('siret-search', 'submit').toArray()
                  }) }}
                  <a href="{{ path('app_home') }}" class="fr-btn fr-btn--secondary">Annuler</a>
                </div>

                {{ form_row(form.name, {
                  'attr': stimulus_target('siret-search', 'name').toArray()
                }) }}
                {{ form_row(form.siren, {
                  'attr': stimulus_target('siret-search', 'siren').toArray()
                }) }}
                {{ form_row(form.longitude, {
                  'attr': stimulus_target('siret-search', 'longitude').toArray()
                }) }}
                {{ form_row(form.latitude, {
                  'attr': stimulus_target('siret-search', 'latitude').toArray()
                }) }}

                {{ form_rest(form) }}
                {{ form_end(form) }}


              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
{% endblock %}
